/**
 * C++ Struct   TcpParam
 *
 * Revision     1.0a (9th August 2010)
 * Programmer   Michael Allwright
 *
 * Purpose      Container to hold the result of parsing a line from a SIFTR log file, defines a flowID string in the format
 *              "TCP LocalIP:LocalPort RemoteIP:RemotePort" and also contains the stamp when the packet was recorded
**/

#ifndef _LTCPMON_TCPPARAMS_
#define _LTCPMON_TCPPARAMS_

#include <string>

struct TcpParams
{
      std::string tcpFlowID;        // which flow these parameters belong to
      double packetTimeStamp;         // SIFTR logfile column 3
      unsigned int parameter[15];    // for definition of indices, see #defines in configuration.h
};

#endif
