/**
 * C++ Class    Utilities
 *
 * Revision     1.0a (9th August 2010)
 * Programmer   Michael Allwright
 *
 * Purpose      Provides general functionality for the application LTCPMON. Includes statistics methods in a sub-namespace
 *              
 **/

#ifndef _LTCPMON_UTILITIES_
#define _LTCPMON_UTILITIES_

#include <string>
#include <vector>

#include "tcpparams.h"
#include "tcpflow.h"

namespace utilities
{
    std::string getTcpFlowID(const char localIP[], int localPort, const char remoteIP[], int remotePort);

    void printFlowMapEntity(const std::pair<std::string, TcpFlow>& thePair);

    const TcpParams initialisedTcpParams = {"",0,{0,0,0,0,0,0,0,0,0,0,0,0,0,0,0}};

    namespace statistics
    {
    double calcStdDev(const std::vector<unsigned int> & dataSet);
    double calcMin(const std::vector<unsigned int> & dataSet);
    double calcMax(const std::vector<unsigned int> & dataSet);
    double calcMedian(const std::vector<unsigned int> & dataSet);
    double calcMean(const std::vector<unsigned int> & dataSet);
    }
}

#endif

